unsigned char *memcpy(unsigned char *dest, const unsigned char *src,
		int count) {
	for (; count > 0; count--) {
		*dest++ = *src++;
	}
	return dest;
}

unsigned char *memset(unsigned char *dest, unsigned char value, int count) {
	for (; count > 0; count--) {
		*dest++ = value;
	}
	return dest;
}

unsigned short *memsetw(unsigned short *dest, unsigned short value, int count) {
	for (; count > 0; count--) {
		*dest++ = value;
	}
	return dest;
}

unsigned char inportByte(unsigned short _port) {
	unsigned char rv;
	__asm__ __volatile__ ("inb %1, %0" : "=a" (rv) : "dN" (_port));
	return rv;
}

void outportByte(unsigned short _port, unsigned char _data) {
	__asm__ __volatile__ ("outb %1, %0" : : "dN" (_port), "a" (_data));
}

int stringLength(const char* str) {
	int count = 0;
	while (str[count] != '\0') {
		++count;
	}
	return count;
}
