nasm -f elf -o bin/boot_loader.o	sources/boot/Loader.asm
nasm -f elf -o bin/gdt_mounter.o	sources/gdt/GdtMounter.asm
nasm -f elf -o bin/idt_mounter.o	sources/idt/IdtMounter.asm
nasm -f elf -o bin/idt_routines.o	sources/idt/InterruptRoutines.asm
nasm -f elf -o bin/idt_requests.o	sources/idt/InterruptRequests.asm

i586-elf-g++ -o bin/kernel.o 					-c sources/Kernel.cpp     					-I"headers" --no-warn -nostdlib -fno-builtin -nostartfiles -nodefaultlibs -fno-exceptions -fno-rtti -fno-stack-protector
i586-elf-g++ -o bin/bios_video.o 				-c sources/bios/Video.cpp  					-I"headers" --no-warn -nostdlib -fno-builtin -nostartfiles -nodefaultlibs -fno-exceptions -fno-rtti -fno-stack-protector
i586-elf-g++ -o bin/gdt_gdt.o 					-c sources/gdt/Gdt.cpp  					-I"headers" --no-warn -nostdlib -fno-builtin -nostartfiles -nodefaultlibs -fno-exceptions -fno-rtti -fno-stack-protector
i586-elf-g++ -o bin/idt_idt.o 					-c sources/idt/Idt.cpp  					-I"headers" --no-warn -nostdlib -fno-builtin -nostartfiles -nodefaultlibs -fno-exceptions -fno-rtti -fno-stack-protector
i586-elf-g++ -o bin/idt_cpproutines.o 			-c sources/idt/InterruptRoutines.cpp  		-I"headers" --no-warn -nostdlib -fno-builtin -nostartfiles -nodefaultlibs -fno-exceptions -fno-rtti -fno-stack-protector
i586-elf-g++ -o bin/idt_cpprequests.o 			-c sources/idt/InterruptRequests.cpp  		-I"headers" --no-warn -nostdlib -fno-builtin -nostartfiles -nodefaultlibs -fno-exceptions -fno-rtti -fno-stack-protector

i586-elf-g++ -o bin/system_system.o 			-c sources/system/System.cpp  				-I"headers" --no-warn -nostdlib -fno-builtin -nostartfiles -nodefaultlibs -fno-exceptions -fno-rtti -fno-stack-protector
i586-elf-g++ -o bin/system_handler_timer.o 		-c sources/system/handler/Timer.cpp  		-I"headers" --no-warn -nostdlib -fno-builtin -nostartfiles -nodefaultlibs -fno-exceptions -fno-rtti -fno-stack-protector
i586-elf-g++ -o bin/system_handler_keyboard.o 	-c sources/system/handler/Keyboard.cpp		-I"headers" --no-warn -nostdlib -fno-builtin -nostartfiles -nodefaultlibs -fno-exceptions -fno-rtti -fno-stack-protector

i586-elf-ld -T extra/linker.ld -o bin/kernel.bin bin/*.o

type extra\stage1 extra\stage2 extra\pad bin\kernel.bin > floppy.img

qemu -fda floppy.img -L "C:\dev\Qemu" -s